XMLWriter::text
XMLWriter::writeAttribute
XMLWriter Functions
PHP Manual

# XMLWriter::writeAttributeNS

# xmlwriter_write_attribute_ns

Write full namespaced attribute

### Description

Object oriented style

bool XMLWriter::writeAttributeNS ( string `$prefix` , string `$name` , string `$uri` , string `$content` )

Procedural style

bool xmlwriter_write_attribute_ns ( resource `$xmlwriter` , string `$prefix` , string `$name` , string `$uri` , string `$content` )

Writes a full namespaced attribute.

### Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri or xmlwriter_open_memory.

`prefix`

  The namespace prefix.

`name`

  The attribute name.

`uri`

  The namespace URI.

`content`

  The attribute value.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- XMLWriter::writeAttribute
- XMLWriter::startAttribute
- XMLWriter::startAttributeNS
- XMLWriter::endAttribute